Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class And

    java.lang.Object
      org.modeshape.jcr.query.model.And

All Implemented Interfaces:
  Serializable, And, Constraint, LanguageObject, Visitable

    @Immutable
    public class And

extends Object
implements Constraint, And

A constraint that evaluates to true when both of the other constraints evaluate to true.

See Also:
  Serialized Form

Constructor Summary
`And(Constraint left, Constraint right)`

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`Constraint` | `getConstraint1()`
`Constraint` | `getConstraint2()`
`int` | `hashCode()`
`Constraint` | `left()` Get the constraint that is on the left-hand-side of the AND operation.
`Constraint` | `right()` Get the constraint that is on the right-hand-side of the AND operation.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### And

    public And(Constraint left,
               Constraint right)

Method Detail

### left

    public Constraint left()

  Get the constraint that is on the left-hand-side of the AND operation.

  Returns:
    the left-hand-side constraint

### right

    public Constraint right()

  Get the constraint that is on the right-hand-side of the AND operation.

  Returns:
    the right-hand-side constraint

### getConstraint1

    public Constraint getConstraint1()

  Specified by:
    `getConstraint1` in interface `And`

### getConstraint2

    public Constraint getConstraint2()

  Specified by:
    `getConstraint2` in interface `And`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.